metadata:
  id: ride-the-lightning
  name:
    en: Ride The Lightning
  version: 0.15.4
  displayVersion: 0.15.4
  category:
    en: Lightning Node Management
  tagline:
    en: Manage lightning node operations better
  developers:
    Shahana and Suheb: ridethelightning.info
  description:
    en: Ride the Lightning makes it easier to manage your Lightning node.
  basePermissions:
  - bitcoin/access-rpc
  - lnd/access-grpc
  - lnd/access-rest
  hasPermissions:
  - bitcoin/access-rpc
  - lnd/access-grpc
  - lnd/access-rest
  exposesPermissions: []
  repos:
    Public: https://github.com/Ride-The-Lightning/RTL
  support: https://twitter.com/RTL_App
  gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  icon: null
  defaultPassword: 735f901e0357d31d7d8acfa02aed628b0e18f9acdd8c67f24daea52e61b20a7f
  license: Unknown
  volumes:
    boltz:
      minimum_size: 10485760
      recommended_size: 104857600
      name:
        en: Boltz Data
      description:
        en: Boltz data
    loop:
      minimum_size: 10485760
      recommended_size: 104857600
      name:
        en: Loop Data
      description:
        en: Lightning Loop data
    rtl:
      minimum_size: 10485760
      recommended_size: 104857600
      name:
        en: Data
      description:
        en: Ride the Lightning data
  ports: []
  exportedData:
    bitcoin:
      info:
        rpc_accounts: []
    lnd:
      auth:
        macaroons:
          admin:
            permissions:
            - action: read
              entity: address
            - action: write
              entity: address
            - action: read
              entity: info
            - action: write
              entity: info
            - action: read
              entity: invoices
            - action: write
              entity: invoices
            - action: generate
              entity: macaroon
            - action: read
              entity: macaroon
            - action: write
              entity: macaroon
            - action: read
              entity: message
            - action: write
              entity: message
            - action: read
              entity: onchain
            - action: write
              entity: onchain
            - action: read
              entity: offchain
            - action: write
              entity: offchain
            - action: read
              entity: peers
            - action: write
              entity: peers
            - action: read
              entity: signer
            - action: generate
              entity: signer
  runtime: AppYml
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: false
  preloadType: Nirvati
containers:
  boltz: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command:
      - --lnd.host="main.lnd.admin.nirvati"
      - --lnd.macaroon="/data/lnd/admin.macaroon"
      - --lnd.certificate="/data/lnd/tls.cert"
      - --rpc.rest.host="0.0.0.0"
      - --rpc.rest.port="9003"
      entrypoint: null
      environment:
        HOME: !StringLike /data
      hostname: null
      image: boltz/boltz-client:2.3.0
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: boltz
        mount_path: /data
        sub_path: null
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp:
        - 9003
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels: {}
    middlewares: {}
  loop: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command:
      - /bin/loopd
      - --network=mainnet
      - --lnd.host="main.lnd.admin.nirvati:10009"
      - --lnd.macaroonpath="/data/lnd/admin.macaroon"
      - --lnd.tlspath="/data/lnd/tls.cert"
      - --restlisten=0.0.0.0:8081
      - --datadir=/data/loop
      entrypoint: null
      environment:
        HOME: !StringLike /data
      hostname: null
      image: lightninglabs/loop:v1.0.11.rc1
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: loop
        mount_path: /data
        sub_path: null
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp:
        - 8081
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels: {}
    middlewares: {}
  main: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        BOLTZ_MACAROON_PATH: !StringLike /boltz/.boltz/macaroons
        BOLTZ_SERVER_URL: !StringLike https://boltz.ride-the-lightning.admin.nirvati:9003
        CHANNEL_BACKUP_PATH: !StringLike /data/backup
        LN_IMPLEMENTATION: !StringLike LND
        LN_SERVER_URL: !StringLike https://main.lnd.admin.nirvati:8080
        MACAROON_PATH: !StringLike /data/lnd
        PORT: !StringLike '3000'
        RTL_CONFIG_PATH: !StringLike /data
        SWAP_MACAROON_PATH: !StringLike /loop/loop/mainnet
        SWAP_SERVER_URL: !StringLike https://loop.ride-the-lightning.admin.nirvati:8081
      hostname: null
      image: shahanafarooqui/rtl:v0.15.4
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: boltz
        mount_path: /boltz
        sub_path: null
        is_readonly: false
        from_app: null
        from_ns: null
      - !Longhorn
        name: loop
        mount_path: /loop
        sub_path: null
        is_readonly: false
        from_app: null
        from_ns: null
      - !Longhorn
        name: rtl
        mount_path: /data
        sub_path: null
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels: {}
    middlewares: {}
services:
  boltz:
    target_container: boltz
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        9003: 9003
    cluster_ip: null
    network_policy: null
  loop:
    target_container: loop
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        8081: 8081
    cluster_ip: null
    network_policy: null
  main:
    target_container: main
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        3000: 3000
    cluster_ip: null
    network_policy: null
ingress:
- target_service: main
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 3000
  type: Https
  enable_compression: true
  strip_prefix: true
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources: []
app_network_policy:
  ingress:
    allow_world:
      allow: false
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods: []
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: false
    dns:
      allow: true
      allowed_lookup_names: null
      allowed_lookup_pattern: null
    fqdns: []
    cidrs: []
    services: []
    pods: []
other: []
